﻿Imports System
Imports System.Windows
Imports System.Windows.Controls

Class PanelExample
    Inherits Application

    ' WPF apps should execute on a STA thread
    <STAThread>
    Shared Sub Main(args As String())

        Dim app = New PanelExample()
        app.Run()
    End Sub

    Protected Overrides Sub OnStartup(e As StartupEventArgs)
        MyBase.OnStartup(e)
        Dim window = New PanelWindow()
        window.Title = "Panel Example"
        window.Height = 228
        window.Width = 200

        window.WindowStartupLocation =
            WindowStartupLocation.CenterScreen
        window.Show()
    End Sub
End Class

Class PanelWindow
    Inherits Window

    Public Sub New()
        Dim mainPanel = New StackPanel()
        Dim calendar = New Calendar()
        Dim button1 = New Button()
        button1.content = "Previous Year"
        Dim button2 = New Button()
        button2.Content = "Next Year"

        Dim buttonPanel = New StackPanel()
        buttonPanel.Orientation = Orientation.Horizontal
        buttonPanel.HorizontalAlignment =
            System.Windows.HorizontalAlignment.Center
        buttonPanel.Children.Add(button1)
        buttonPanel.Children.Add(button2)

        mainPanel.Children.Add(calendar)
        mainPanel.Children.Add(buttonPanel)

        Me.Content = mainPanel
    End Sub

End Class
